Mojo::Upload(3)

NAME
Mojo::Upload - Upload

SYNOPSIS
  use Mojo::Upload;

  my $upload = Mojo::Upload->new;
  say $upload->filename;
  $upload->move_to('/home/sri/foo.txt');

DESCRIPTION
Mojo::Upload is a container for uploaded files.

ATTRIBUTES
Mojo::Upload implements the following attributes.

  asset
  my $asset = $upload->asset;
  $upload   = $upload->asset(Mojo::Asset::File->new);

Asset containing the uploaded data, usually a Mojo::Asset::File or Mojo::Asset::Memory object.

  filename
  my $filename = $upload->filename;
  $upload      = $upload->filename('foo.txt');

Name of the uploaded file.

  headers
  my $headers = $upload->headers;
  $upload     = $upload->headers(Mojo::Headers->new);

Headers for upload, usually a Mojo::Headers object.

  name
  my $name = $upload->name;
  $upload  = $upload->name('foo');

Name of the upload.

METHODS
Mojo::Upload inherits all methods from Mojo::Base and implements the following new ones.

  move_to
  $upload = $upload->move_to('/home/sri/foo.txt');

Move uploaded data into a specific file.

  size
  my $size = $upload->size;

Size of uploaded data in bytes.

  slurp
  my $bytes = $upload->slurp;

Read all uploaded data at once.

SEE ALSO
Mojolicious, Mojolicious::Guides, <http://mojolicious.org>.